Prereq: 1.37

===================================================================
RCS file: RCS/gnus-art.el,v
retrieving revision 1.37
retrieving revision 1.37.1.1
diff -ubw -r1.37 -r1.37.1.1
--- 1.37	1998/03/19 08:21:51
+++ 1.37.1.1	1998/03/20 15:57:41
@@ -2567,6 +2567,11 @@
   :group 'gnus-article-various
   :type 'hook)
 
+(defcustom gnus-article-edit-article-hook  nil
+  "Hook run when everything has been set for article editing."
+  :group 'gnus-article-various
+  :type 'hook)
+
 (defvar gnus-article-edit-done-function nil)
 
 (defvar gnus-article-edit-mode-map nil)
@@ -2624,7 +2629,8 @@
     (gnus-configure-windows 'edit-article)
     (setq gnus-article-edit-done-function exit-func)
     (setq gnus-prev-winconf winconf)
-    (gnus-message 6 "C-c C-c to end edits")))
+    (gnus-message 6 "C-c C-c to end edits")
+    (run-hooks 'gnus-article-edit-article-hook)))
 
 (defun gnus-article-edit-done (&optional arg)
   "Update the article edits and exit."
